libacl.so.1: wrong ELF class: ELFCLASS32

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
Avatar de Usuario
dsalcover
Novato
Mensajes: 6
Registrado: 04 Jun 2012, 17:52

libacl.so.1: wrong ELF class: ELFCLASS32

Mensaje por dsalcover » 10 Jul 2015, 17:05

Hola, he intentado instalar una impresora después de volver a instalar el sistema.
los drivers oficiales eran .deb y de 32bits, así que después de instalar (seguir tutorial para instalar .deb), no puedo utilizar pacman...ya que al intentar actualizar, me responde: # pacman -Syu pacman: error while loading shared libraries: libacl.so.1: wrong ELF class: ELFCLASS32
y me da un error de librerías.
Así que estoy en punto muerto, y como imaginareís, no pienso apagar el pc hasta que no lo resuelva.
Esperando alguna solución. Gracias de antemano.


Avatar de Usuario
dsalcover
Novato
Mensajes: 6
Registrado: 04 Jun 2012, 17:52

Re: libacl.so.1: wrong ELF class: ELFCLASS32

Mensaje por dsalcover » 11 Jul 2015, 00:19

Gracias por la respuesta judd, en estos momentos me voy al trabajo, a la tarde cuando regrese, intentaré ver si puedo soluciarlo, pero no tengo muchas esperanzas, ya que no puedo realizar ninguna operación con la consola.
Saludos.

Avatar de Usuario
judd
Archer
Archer
Mensajes: 55
Registrado: 04 Sep 2012, 23:22
Contactar:

Re: libacl.so.1: wrong ELF class: ELFCLASS32

Mensaje por judd » 11 Jul 2015, 10:42

dsalcover escribió:..., ya que no puedo realizar ninguna operación con la consola.
Saludos.
Tampoco puedes ingresar por una tty ? o sea, Ctrl+Alt+F1 o F2
Mis respetos.-

Avatar de Usuario
dsalcover
Novato
Mensajes: 6
Registrado: 04 Jun 2012, 17:52

Re: libacl.so.1: wrong ELF class: ELFCLASS32

Mensaje por dsalcover » 11 Jul 2015, 12:51

Bien, lo he intentado, he entrado en varios foros donde había alguna relación con "libacl.so.1", pero no ha habido manera, la única idea que me viene es que alguien me copie su libacl.so.1 ( que se encuentra en: /lib64/ libacl.so.1), y reemplazar el mio, para ver que respuesta me devuelve la terminal, pero no tengo muchas esperanzas de que funcione, creo que tendré de volver a instalar desde cero.
Esperare un poco más para ver si a alguien se le ocurre alguna cosa. Gracias.
Saludos

Avatar de Usuario
dsalcover
Novato
Mensajes: 6
Registrado: 04 Jun 2012, 17:52

Re: libacl.so.1: wrong ELF class: ELFCLASS32

Mensaje por dsalcover » 11 Jul 2015, 13:05

he ingresado las siguientes órdenes a la terminal, con el siguiente resultado:

[[email protected] ~]$ sudo pacman -Syu
pacman: error while loading shared libraries: libacl.so.1: wrong ELF class: ELFCLASS32

[[email protected] ~]$ sudo mkinitcpio -p linux
==> Generating module dependencies
install: error while loading shared libraries: libacl.so.1: wrong ELF class: ELFCLASS32
/usr/lib/initcpio/functions: línea 777: /tmp/mkinitcpio.mQ39A9/root/lib/modules/4.0.7-2-ARCH/modules.order: No existe el fichero o el directorio
depmod: ERROR: could not open directory /tmp/mkinitcpio.mQ39A9/root/lib/modules/4.0.7-2-ARCH: No such file or directory
depmod: FATAL: could not search modules: No such file or directory
rm: no se puede borrar «/tmp/mkinitcpio.mQ39A9/root/lib/modules/4.0.7-2-ARCH/modules.!(*.bin|devname)»: No existe el fichero o el directorio
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
/usr/bin/mkinitcpio: línea 224: pushd: /tmp/mkinitcpio.mQ39A9/root: No existe el fichero o el directorio
bsdcpio: error while loading shared libraries: libacl.so.1: wrong ELF class: ELFCLASS32
/usr/bin/mkinitcpio: línea 229: popd: la pila de directorios está vacía
==> WARNING: errors were encountered during the build. The image may not be complete.
==> ERROR: Image generation FAILED: find reported an error

Responder